<?php
/**
 * Plugin Filehtml (addon for plugin Adm_redacteurs)
 * Version  : 1.4 (2018/04/12)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.12+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Initialisation des constantes et des fonctions utilisées dans le plugin
|--------------------------------------------------------------------------
*/

/**
 * ROOT
 */
define('FILEHTML_DIRNAME', 'filehtml');
define('FILEHTML_PLUGIN_VERSION', '1.4');
define('FILEHTML_PUBLIC_ROOT_PATH', CHEMIN.'plugins/'.FILEHTML_DIRNAME);
define('FILEHTML_ADMIN_ROOT_PATH',  CHEMIN.'admin/plugins/'.FILEHTML_DIRNAME);
define('FILEHTML_ADDON_PATH',       ADMR_ADDONS_PATH.'/'.FILEHTML_DIRNAME);      // Addon

define('FILEHTML_PUBLIC_FILE_PATH', str_replace(CHEMIN, '', FILEHTML_PUBLIC_ROOT_PATH).'/filehtml.php'); // Chemin du fichier accessible coté public (Ne pas modifier !)

/**
 * MAIN DIRECTORIES
 */
define('FILEHTML_ASSETS_PATH',      FILEHTML_ADDON_PATH.'/assets');      // Assets
define('FILEHTML_CONFIGS_PATH',     FILEHTML_ADDON_PATH.'/configs');     // Config
define('FILEHTML_CONTROLLERS_PATH', FILEHTML_ADDON_PATH.'/controllers'); // Controllers
define('FILEHTML_HELPERS_PATH',     FILEHTML_ADDON_PATH.'/helpers');     // Helpers
define('FILEHTML_LANGUAGES_PATH',   FILEHTML_ADDON_PATH.'/languages');   // Languages
define('FILEHTML_LIBRARIES_PATH',   FILEHTML_ADDON_PATH.'/libraries');   // Libraries
define('FILEHTML_MODELS_PATH',      FILEHTML_ADDON_PATH.'/models');      // Models
define('FILEHTML_VIEWS_PATH',       FILEHTML_ADDON_PATH.'/views');       // Views

/**
 * ASSETS
 */
define('FILEHTML_CSS_PATH',             FILEHTML_ASSETS_PATH.'/css');		 // Chemin du répertoire CSS
define('FILEHTML_IMG_PATH',             FILEHTML_ASSETS_PATH.'/img');        // Chemin du répertoire images
define('FILEHTML_JS_PATH',              FILEHTML_ASSETS_PATH.'/js');		 // Chemin du répertoire javascript
define('FILEHTML_EDITORS_CONFIG_PATH',  FILEHTML_ASSETS_PATH.'/editors');    // Chemin du répertoire des éditeurs
define('FILEHTML_CKEDITOR_CONFIG_PATH', FILEHTML_EDITORS_CONFIG_PATH.'/ckeditor_config/config.js'); // Chemin du fichier de la configuration de ckeditor

/**
 * IMAGES
 */    
define('FILEHTML_IMG_NEXT',          FILEHTML_IMG_PATH.'/next.gif');       // Lien suivant
define('FILEHTML_IMG_PREVIOUS',      FILEHTML_IMG_PATH.'/previous.gif');   // Lien précédent

/**
 * DATA
 */
define('FILEHTML_DATA_PATH',            CHEMIN.'data/plugins/'.FILEHTML_DIRNAME);        // Chemin du répertoire contenant les données du plugin
define('FILEHTML_IDS_DB',               FILEHTML_DATA_PATH.'/filehtml_ids'.DBEXT);       // Chemin du fichier contenant les id des documents présents dans la base 
define('FILEHTML_NEXTID_DB',            FILEHTML_DATA_PATH.'/filehtml_nextid'.DBEXT);    // Chemin du fichier contenant l'id du dernier document ajouté
define('FILEHTML_MENUITEMS_DB',         FILEHTML_DATA_PATH.'/filehtml_menuitems'.DBEXT); // Chemin du fichier contenant les associations document avec items de menus
define('FILEHTML_PARAMS_PATH',          FILEHTML_DATA_PATH.'/params');                   // Chemin du répertoire contenant les données des documents
define('FILEHTML_PARAMS_FILE_PREFIX',   'filehtml_params_');                             // Préfixe du nom du fichier contenant les données du document
define('FILEHTML_COUNTERS_PATH',        FILEHTML_DATA_PATH.'/counters');                 // Chemin du répertoire contenant les compteurs de vues des documents
define('FILEHTML_COUNTERS_FILE_PREFIX', 'filehtml_counter_');                            // Préfixe du nom du fichier contenant les compteurs de vues des documents
//